module brotli_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libbrotlicommon
const libbrotlicommon_path = "/usr/lib/libbrotlicommon.so.1"
libbrotlicommon_handle = C_NULL
get_libbrotlicommon_path() = libbrotlicommon_path
const libbrotlicommon = "libbrotlicommon.so.1"
export libbrotlidec
const libbrotlidec_path = "/usr/lib/libbrotlidec.so.1"
libbrotlidec_handle = C_NULL
get_libbrotlidec_path() = libbrotlidec_path
const libbrotlidec = "libbrotlidec.so.1"
export libbrotlienc
const libbrotlienc_path = "/usr/lib/libbrotlienc.so.1"
libbrotlienc_handle = C_NULL
get_libbrotlienc_path() = libbrotlienc_path
const libbrotlienc = "libbrotlienc.so.1"
export brotli
const brotli_path = "/usr/bin/brotli"
brotli(f::Function; kw...) = f(brotli_path)
brotli(; kw...) = Cmd([brotli_path])
function __init__()
    global libbrotlicommon_handle = dlopen(libbrotlicommon_path)
    global libbrotlidec_handle = dlopen(libbrotlidec_path)
    global libbrotlienc_handle = dlopen(libbrotlienc_path)
end
end
